Apache2 versucht PHP File herunter zu laden

08/10/2010 - 18:39 von Thomas - Pronto - Wildgruber | Report spam
Hi Group,

ich habe heute drei Testmaschinen (VMs) mit Debian, Apache und
Dokuwiki bestückt und bin nach der Apache und PHP Extension
Installation immer erst mal mit dem Problem konfrontiert worden,
dass der Browser (FF und Safari auf Snow Leopard) die index.php
herunterladen wollte.

Vhost Konfiguration passt, eine index.html wird sauber aufgelöst.
Wenn ich dann mehrmals einen apache2 reload mache, den Browser
Cache dreimal lösche und vielleicht noch ein Huhn drüber
schlachte, gehts dann auf einmal, ohne Änderung einer Konfigdatei.
Keine Ahnung warum es erst mal nicht geht?

Installiert wurden folgende Pakete über aptitude: apache2 php5
libapache2-mod-php5, php5-cli und php5-cgi. Das Betriebssystem
(Aktuelle Debian Version) wurde unmittelbar zuvor installiert.

Was spreizt sich da erst mal, dass er ein PHP File nicht auflösen
kann?

Thx & Bye Tom
 

Lesen sie die antworten

#1 Thomas Hochstein
08/10/2010 - 22:52 | Warnen spam
Thomas - Pronto - Wildgruber schrieb:

ich habe heute drei Testmaschinen (VMs) mit Debian, Apache und
Dokuwiki bestückt und bin nach der Apache und PHP Extension
Installation immer erst mal mit dem Problem konfrontiert worden,
dass der Browser (FF und Safari auf Snow Leopard) die index.php
herunterladen wollte.



Und, tut er das, bekommt er also den Sourcecode ausgeliefert? Dann
wird PHP nicht als solches ausgeführt.

Vhost Konfiguration passt, eine index.html wird sauber aufgelöst.
Wenn ich dann mehrmals einen apache2 reload mache, den Browser
Cache dreimal lösche und vielleicht noch ein Huhn drüber
schlachte, gehts dann auf einmal, ohne Änderung einer Konfigdatei.
Keine Ahnung warum es erst mal nicht geht?

Installiert wurden folgende Pakete über aptitude: apache2 php5
libapache2-mod-php5, php5-cli und php5-cgi. Das Betriebssystem
(Aktuelle Debian Version) wurde unmittelbar zuvor installiert.

Was spreizt sich da erst mal, dass er ein PHP File nicht auflösen
kann?



Fullquote wegen Umleitung in die passende Newsgroup,
-thh

XP/Fup2.

Ähnliche fragen